#ifndef __CCSTHREAD_H__
#define __CCSTHREAD_H__

/* Timeout per i tentativi di ripristino
 * di una connessione con sessione
 * (da specifiche progetto)
 */
#define RETRY_TIMEOUT_SECONDS 600
#define RETRY_INTERVAL_SECONDS 10

#define SELECT_TIMEOUT 5
#define LINGER_TIMEOUT 60

void* ccs_manager(void* sockpair);

void manage_spair(int channel);
void manage_main_mgr_msg(int channel);
void internal_accept(int channel);
void manage_ccs_ccs_msg(int channel);
void manage_broken_conn();
void manage_timeouted_conn();
void manage_pending_write();
void manage_pending_close();
void manage_pending_accept();

#endif

