
#ifndef __MAIN_DATA_H__
#define __MAIN_DATA_H__


/* Handlers for list used in TCP_Session.c */

/* create new list */
int initccslist();
/* delete list */
int destroyccslist();
/* aquire ccsfdlist */
int acquireccslist();
/* release ccsfdlist */
int releaseccslist();
/* return mutex if fd is in list, NULL otherwise */
pthread_mutex_t* isinccslist(int fd);
/* add ccs in ccsfdlist and init its mutex */
int addccslist(int fd);
/* delete ccs from ccsfdlist and destroy its mutex */
int delccslist(int fd);
/* print content of list */
int printccslist();

#endif
